//*********************************************************
//	CalendarMMYY.h
//	Last update 981124
//*********************************************************
#ifndef _CALENDAR_MMYY_H
#define	_CALENDAR_MMYY_H
#include <interface/Window.h>						//981030
#include <interface/TextView.h>						//981030
#include <interface/Box.h>							//981030
#include <interface/StringView.h>					//981030
#include <interface/Button.h>						//981030
#include "CalendarView.h"							//981124

class	MMYYView;
class	MMYYTextView;
//====================================
//  class  MMYYWindow
//====================================
class  MMYYWindow:public  BWindow
{
	public:
		MMYYWindow(BRect  frame );

		void		MessageReceived(BMessage* msg);
		bool		QuitRequested(void);
		//void		WindowActivated(bool state);	//981007
		void		SetTargetWindow(CalendarWindow* w);
		void		SetMMYY(void);
		
		CalendarWindow	*aWin;
		CalendarView	*aView;
		MMYYView		*mmyyView;
	private:
		char			mmString[20];
		char			yyString[20];
};

//====================================
// class  MMYYView
//====================================
class  MMYYView:public  BView
{
	public:
		MMYYView(BRect frame );
		void		AttachedToWindow();
		MMYYTextView	*yyView;
		MMYYTextView	*mmView;
};

#define	OK_BUTTON_PRESSED		'okbn'
#define	CANCEL_BUTTON_PRESSED	'clbn'

//=====================================
// class MMYYTextView
//=====================================
class	MMYYTextView: public BTextView
{
	public:
		MMYYTextView(BRect frame, const char *name,
			BRect textRect, uint32 reesizeMask,
			uint32 flags );
		void	KeyDown( const char *bytes, int32 numbytes );
		void	SetNextView( MMYYTextView *v )
				{ nextView = v; }
	private:
		MMYYTextView*	nextView;
};
#endif